# Method: iceberg.v1.restcatalog.v1.getConfig

- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1/getConfig#body.HTTP_TEMPLATE)
- [Query parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1/getConfig#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1/getConfig#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1/getConfig#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1/getConfig#body.IcebergCatalogConfig.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1/getConfig#body.aspect)

v1.getConfig lists all catalog configuration settings. Most importantly it contains the optional `endpoints` field which lists what methods this catalog supports, since we are not supporting all the methods right now. It returns all the methods defined in this service (subject to project config allowlisting).

This is not a GCP resource.

### HTTP request

`GET https://biglake.googleapis.com/iceberg/v1/restcatalog/v1/config`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `warehouse` | `string` Required. Warehouse location or identifier to request from the service. |

### Request body

The request body must be empty.

### Response body

The iceberg catalog configuration.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "overrides": { string: string, ... }, "defaults": { string: string, ... }, "endpoints": [ string ] } ``` |

| Fields ||
|---|---|
| `overrides` | `map (key: string, value: string)` Output only. Properties that should be used to override client configuration; applied after defaults and client configuration. Required, even if empty. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |
| `defaults` | `map (key: string, value: string)` Output only. Properties that should be used as default configuration; applied before client configuration. Required, even if empty. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |
| `endpoints[]` | `string` Output only. Endpoints, required, must not be empty. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).